<html>
<head>
<meta charset="UTF-8">
<title>Історія ПЗ та ІКТ</title>
<style>
hr {
     border: none;
     background-color: teal;
     color: teal;
     height: 3px;
    }

.leftimg {
        float:left;
        margin: 7px 7px 7px 0;
        }
.rightimg {
        float: right;
        margin: 7px 0 7px 7px;
        }
   </style>
</head>

<body>
    <hr>
    <ul>
        <li><a href="..\Hyperlinks\rizne.html">Різне</a></li>
        <li><a href="..\Hyperlinks\rizne.html#abzac">Закінчення</a></li>
        <li><a href="mailto:litvak.2019.pavlo@gmail.com">Моя поштова скринька</a></li>			
    </ul>
    <a href="..\..\lab2_lytvak\biography.html"><img src="..\..\lab2_lytvak\Hyperlinks\Папіч.jpg" border="2px" alt="Зображення не доступне." hspace="7" vspace="7"></a>
    <hr>

    <h1 align="center">Історія програмного забезпечення та ІКТ</h1>
    <hr>
    <h2 align="center">Мета:</h2>
    <p>Ввести в короткий історичний екскурс програмного забезпечення і інформаційно-комунікаційних технологій. Виділити основні тенденції розвитку ПЗ.</p>
<h2 align="center">Вступ.</h2>
<p>Електронні обчислювальні машини є ефективним засобом для виконання будь-яких операцій з інформацією. Але для цього необхідно створити для комп'ютера інструкцію на зрозумілій йому мові - <strong>програму</strong>, яка пояснює як саме треба обробити інформацію. Власне, сам комп'ютер абсолютно не володіє ніякими знаннями - вони усі знаходяться у виконуваних на ньому програмах.<br><br>
        Залежно від програми, можна перетворювати ПК на робоче місце письменника або вченого, дизайнера або відеорежисера, радіоведучого або архітектора.<br><br>
        З розширенням можливостей ПК користувачу потрібно усе більш різноманітне програмне забезпечення (ПЗ) для вирішення тих або інших завдань.<br><br>
        Перші пакети програмного забезпечення були простими тематичними підбірками додатків для вирішення певних завдань в тій або іншій сфері.<br><br>
        Сучасний програмний пакет є складною програмною системою, який включає спеціалізовані системні і мовні засоби.</p>
<br><br>
<p align="center"><img src="Шиндоус.jpg" alt="Шиндоус"></p>
<br><br>
<p><img src="ПЗ_2.png" alt="Програмне забезпечення" width="400" height="400" class="leftimg"> <br><br><br> Наприклад, в історії розвитку обчислювальних <strong>прикладних програм</strong> можна виділити <i>чотири покоління</i>, кожне з яких характеризується певними особливостями, які входять до складу компонентів - <i>вхідних мов, предметного, системного забезпечення</i>.<br><br> 
    В якості вхідних мов прикладні програми <strong>першого Покоління</strong> використовували універсальні мови програмування (Фортран або Алгол 60) або мови управління завданнями операційних систем. Складання завдань на таких мовах практично не відрізнялося від того, яке пише програма алгоритмічною мовою.<br><br>
    У другому <strong>Поколінні</strong> розробка прикладних програми відбувалася за участю системних програмістів. Це призвело до появи спеціалізованих вбудованих мов на базі універсальних мов програмування. Перекладач з такої мови був препроцесором до транслятора відПЗвідної алгоритмічної мови.<br><br>
    <strong>Третій етап</strong> розвитку прикладних програм пов'язано з появою самостійних вхідних мов, орієнтованих на простих, буденних користувачів.<br><br>
    Особлива увага приділялася системним компонентам таким, що забезпечує простоту і зручність. Це досягається головним чином за рахунок такої спеціалізації вхідних мов і включення до складу пакету засобів автоматизованого планування обчислень.<br><br>
    <strong>Четвертий етап</strong> характеризується створенням прикладнихх програм, експлуатованих в діалоговому режимі роботи. Основною перевагою такої взаємодії є можливість зворотного зв'язку з користувачем в процесі побудови, рішення задачі і аналізу отриманого результату.</p>
</body>
</html>